#
# spec file for package rubygem-dry-core
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-dry-core
Version:        1.0.0
Release:        1.8
%define mod_name dry-core
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.7.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://dry-rb.org/gems/dry-core
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A toolset of small support modules used throughout the dry-rb
License:        MIT
Group:          Development/Languages/Ruby

%description
A toolset of small support modules used throughout the dry-rb ecosystem.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Wed Dec  7 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.0.0
  see installed CHANGELOG.md
  [#]# 1.0.0 2022-11-04
  [#]## Added
  - Import dry-container as `Dry::Core::Container` (via #77) (@solnic)
  [Compare v0.9.1...v1.0.0](https://github.com/dry-rb/dry-core/compare/v0.9.1...v1.0.0)
* Fri Oct 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 0.9.1
  see installed CHANGELOG.md
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 0.8.1
  see installed CHANGELOG.md
  [#]# 0.8.0
  [#]## Added
  - `Dry::Core::BasicObject` ported from hanami-utils (@jodosha)
  [#]## Changed
  - [BREAKING] [descendants tracker] switch to using `Class#subclasses` on Ruby 3.1+.
  This changes the order of returned subclasses (immediate subclasses now go first) (@flash-gordon)
  [Compare v0.7.1...v0.8.0](https://github.com/dry-rb/dry-core/compare/v0.7.1...master)
* Mon Jul 26 2021 Stephan Kulow <coolo@suse.com>
  updated to version 0.7.1
  see installed CHANGELOG.md
  [#]# 0.7.1 2021-07-10
  [#]## Fixed
  - [memoizable] memoizable correctly handles cases where a method
  has unnamed params (e.g. happens when the new `...` syntax is used) (@flash-gordon)
  [Compare v0.7.0...v0.7.1](https://github.com/dry-rb/dry-core/compare/v0.7.0...v0.7.1)
  [#]# 0.7.0 2021-07-08
  [#]## Fixed
  - [memoizable] warnings when using keyword arguments (@flash-gordon)
  - [deprecations] warnings show more relevant information about caller by default (@timriley)
  [#]## Changed
  - Minimal Ruby version is 2.6
  - [memoizable] memoization of block-accepting methods is deprecated (@flash-gordon)
  [Compare v0.6.0...v0.7.0](https://github.com/dry-rb/dry-core/compare/v0.6.0...v0.7.0)
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 0.6.0
  see installed CHANGELOG.md
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 0.5.0
  see installed CHANGELOG.md
* Wed Jul  1 2020 Stephan Kulow <coolo@suse.com>
- initial package (version 0.4.9)
